Subject: RE: [seamoby] My interpretation of the consensus on issues

From: "Gary Kenward" <[email-masked]>
Date: Wed, 27 Jun 2001 12:12:51 -0400

Pat:

  One additional question: the use of the Nagle algorithm to 
fulfill the requirement for aggregation would seem to be at odds 
with the proposal for multiphasic ct (issue 5). 

  In other words, if ctp is performing the aggregation, it would
have control over the when the "chunks" are sent. If it is the 
transport protocol that is supporting aggregation, then there must 
be some sort of "flush" command available. Since the IETF does not 
standardize on APIs, relying on the Nagle command would seem to make
compliance to issue 5 potentially difficult, and might even violate
some of the timing requirements (e.g. 5.4.5).

  Again, this is a question.
Gary

> -----Original Message-----
> From: Pat Calhoun [mailto:[email-masked]]
> Sent: Tuesday, June 26, 2001 11:04 PM
> To: [email-masked]
> Subject: [seamoby] My interpretation of the consensus on issues
> 
> 
> 
> All,
> 
> Here is my interpretation on the consensus on certain issues
> that are pending:
> 
> 1. Issue 1 -> consensus shows that this change shouldn't be adopted
> 2. Issue 2 -> consensus seems to favor this issue, but I am having
>    some trouble understand some folks comments. I think that I will
>    need to revisit this one.
> 3. Issue 3 -> consensus shows that this change should be adopted.
> 4. Issue 4 -> This is another of those where I feel people favor
>    changing it, but we don't seem to have an agreement on the end
>    result.
> 5. Issue 5 -> consensus shows that this change should be adopted, but
>    some folks had issues with my text. Perhaps someone could propose
>    new text, or I could give it another shot.
> 6. Issue 6 -> consensus shows that people favored my option 3, and
>    the text should be worded to reflect consensus.
> 
> That leave us with 2 and 4 open, and some new text needed for 5. Gary,
> could you please incorporate 3 and 6 into the draft?
> 
> Thanks,
> 
> PatC
>

---

From: Pat Calhoun <[email-masked]>
Date: Wed, 27 Jun 2001 09:56:29 -0700

> some of the timing requirements (e.g. 5.4.5).

you may be right, and we will need to consider that when filling out
the yet unseen transport questionaire. However, the nagle algorithm doesn't
hold on to packets for seconds at a time, but you are correct that the
added latency may be undesired.

PatC